/// <reference types="react" />
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
import { TextEntryFormControl } from "../TextEntryFormControl";
export declare class RichTextEditorFormControl extends TextEntryFormControl {
    exportFileName: string;
    readonly __type: string;
    render(): JSX.Element;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    renderEditUI(): JSX.Element | null;
    getStorageData(): object;
    setStorageData(data: object): void;
}
